This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 893120 - [hi][it][ml][ru] character ¶ should not appear in translated msgstr
[hi][it][ml][ru] character ¶ should not appear in translated msgstr
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
: Translation
Depends On:
Blocks: 771481
  Show dependency treegraph
 
Reported: 2013-01-08 11:04 EST by John Sefler
Modified: 2013-02-26 11:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 11:50:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-01-08 11:04:41 EST
Description of problem:
The ¶ character is not a translation for an escaped new line character "\n".

When "\n" appears in the msgid, then it is being used as a new line character to break up a long string into multiple lines.  The "\n" should therefore be used in the translated msgstr; paragraph character ¶ should NOT be used.


Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.19-1.el6.x86_64


How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# for L in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "LOOKING FOR CHARACTER '¶' IN LANG FILE $L..."; msgunfmt --no-wrap $L | grep '¶' -B2; done;

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/as/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/fr/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/gu/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/hi/LC_MESSAGES/rhsm.mo...

msgid "Invalid argument specified: %s\n"
msgstr "अवैध वितर्क निर्दिष्ट: %s¶\n"

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/it/LC_MESSAGES/rhsm.mo...
"Questo software è sotto licenza GNU General Public License, versione 2 (GPLv2). Questo software non ha ALCUNA GARANZIA, espressa o implicita, nemmeno la garanzia implicita di COMMERCIABILITÀ o APPLICABILITÀ PER UNO SCOPO PARTICOLARE. Una copia della GPLv2 dovrebbe essere stata fornita con questo software; in caso contrario consultare: \n"
"\n"
"http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt¶\n"

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/ja/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/kn/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/ko/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/ml/LC_MESSAGES/rhsm.mo...
msgstr ""
"\n"
"രജിസ്ടര്‍ ചെയ്യുവാന്‍ സാധ്യമല്ല.¶\n"
--
msgstr ""
"\n"
"ഈ ചാനലുകള്‍ വേണ്ടെന്നു് വയ്ക്കുന്നതിനും മൈഗ്രേഷനുമായി തുടരുന്നതിനായി --force ഉപയോഗിയ്ക്കുക.¶\n"
--

msgid "Must be root user to execute\n"
msgstr "പ്രവര്‍ത്തിപ്പിയ്ക്കുന്നതിനു് റൂട്ടായിരിയ്ക്കണം ¶\n"

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/mr/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/or/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/pa/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/ru/LC_MESSAGES/rhsm.mo...

msgid "For more information run: rhsmcertd --help\n"
msgstr "Для получения дальнейшей информации выполните rhsmcertd --help¶\n"

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/te/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo...
[root@jsefler-6 ~]# 





FAILED [hi] translations:
msgid "Invalid argument specified: %s\n"
msgstr "अवैध वितर्क निर्दिष्ट: %s¶\n"
      REMOVE FROM MSGSTR ^



FAILED [it] translations:
msgid ""
"\n"
"This software is licensed to you under the GNU General Public License, version 2 (GPLv2). There is NO WARRANTY for this software, express or implied, including the implied warranties of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2 along with this software; if not, see:\n"
"\n"
"http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt\n"
"\n"
"Red Hat trademarks are not licensed under GPLv2. No permission is granted to use or replicate Red Hat trademarks that are incorporated in this software or its documentation.\n"
msgstr ""
"\n"
"Questo software è sotto licenza GNU General Public License, versione 2 (GPLv2). Questo software non ha ALCUNA GARANZIA, espressa o implicita, nemmeno la garanzia implicita di COMMERCIABILITÀ o APPLICABILITÀ PER UNO SCOPO PARTICOLARE. Una copia della GPLv2 dovrebbe essere stata fornita con questo software; in caso contrario consultare: \n"
"\n"
"http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt¶\n"
                                  REMOVE FROM MSGSTR ^
"\n"



FAILED [ml] translations:
msgid ""
"\n"
"Unable to register.\n"
"For further assistance, please contact Red Hat Global Support Services."
msgstr ""
"\n"
"രജിസ്ടര്‍ ചെയ്യുവാന്‍ സാധ്യമല്ല.¶\n"
   REMOVE FROM MSGSTR ^
"കൂടുതല്‍ വിവരങ്ങള്‍ക്കായി ദയവായി Red Hat ഗ്ലോബല്‍ സപ്പോര്‍ട്ട് സര്‍വീസുകളുമായി ബന്ധപ്പെടുക."

msgid ""
"\n"
"Use --force to ignore these channels and continue the migration.\n"
msgstr ""
"\n"
"ഈ ചാനലുകള്‍ വേണ്ടെന്നു് വയ്ക്കുന്നതിനും മൈഗ്രേഷനുമായി തുടരുന്നതിനായി --force ഉപയോഗിയ്ക്കുക.¶\n"
                                                     REMOVE FROM MSGSTR ^
msgid "Must be root user to execute\n"
msgstr "പ്രവര്‍ത്തിപ്പിയ്ക്കുന്നതിനു് റൂട്ടായിരിയ്ക്കണം ¶\n"
               REMOVE FROM MSGSTR ^



FAILED [ru] translations:
msgid "For more information run: rhsmcertd --help\n"
msgstr "Для получения дальнейшей информации выполните rhsmcertd --help¶\n"
                                                   REMOVE FROM MSGSTR ^
Comment 1 Francesco Valente 2013-01-08 18:15:46 EST
The following message has been fixed in Zanata:

"http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt\n"

Cheers

Francesco


FAILED [it] translations:
msgid ""
"\n"
"This software is licensed to you under the GNU General Public License, version 2 (GPLv2). There is NO WARRANTY for this software, express or implied, including the implied warranties of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2 along with this software; if not, see:\n"
"\n"
"http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt\n"
"\n"
"Red Hat trademarks are not licensed under GPLv2. No permission is granted to use or replicate Red Hat trademarks that are incorporated in this software or its documentation.\n"
msgstr ""
"\n"
"Questo software è sotto licenza GNU General Public License, versione 2 (GPLv2). Questo software non ha ALCUNA GARANZIA, espressa o implicita, nemmeno la garanzia implicita di COMMERCIABILITÀ o APPLICABILITÀ PER UNO SCOPO PARTICOLARE. Una copia della GPLv2 dovrebbe essere stata fornita con questo software; in caso contrario consultare: \n"
"\n"
"http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt¶\n"
                                  REMOVE FROM MSGSTR ^
"\n"
Comment 2 Ani Peter 2013-01-09 01:19:46 EST
Have removed ¶ from below mentioned list and updated translations at https://translate.zanata.org/zanata/iteration/files/subscription-manager/1.1.X/ml:

------------------------
FAILED [ml] translations:
msgid ""
"\n"
"Unable to register.\n"
"For further assistance, please contact Red Hat Global Support Services."
msgstr ""
"\n"
"രജിസ്ടര്‍ ചെയ്യുവാന്‍ സാധ്യമല്ല. \n"
   REMOVE FROM MSGSTR ^
"കൂടുതല്‍ വിവരങ്ങള്‍ക്കായി ദയവായി Red Hat ഗ്ലോബല്‍ സപ്പോര്‍ട്ട് സര്‍വീസുകളുമായി ബന്ധപ്പെടുക."

msgid ""
"\n"
"Use --force to ignore these channels and continue the migration.\n"
msgstr ""
"\n"
"ഈ ചാനലുകള്‍ വേണ്ടെന്നു് വയ്ക്കുന്നതിനും മൈഗ്രേഷനുമായി തുടരുന്നതിനായി --force ഉപയോഗിയ്ക്കുക.¶\n"
                                                     REMOVE FROM MSGSTR ^
msgid "Must be root user to execute\n"
msgstr "പ്രവര്‍ത്തിപ്പിയ്ക്കുന്നതിനു് റൂട്ടായിരിയ്ക്കണം ¶\n"
               REMOVE FROM MSGSTR ^
----------------------

Thanks
Ani
Comment 3 Rajesh Ranjan 2013-01-09 01:55:24 EST
Updated for Hindi language issue.
Comment 5 Yulia 2013-01-09 17:11:50 EST
Russian fixed
Comment 6 John Sefler 2013-01-09 17:25:01 EST
Verifying Version...
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.21-1.el6.x86_64


[root@jsefler-6 ~]# for L in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "LOOKING FOR CHARACTER '¶' IN LANG FILE $L..."; msgunfmt --no-wrap $L | grep '¶' -B2; done;

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/as/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/fr/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/gu/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/hi/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/it/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/ja/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/kn/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/ko/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/ml/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/mr/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/or/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/pa/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/ru/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/te/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo...

LOOKING FOR CHARACTER '¶' IN LANG FILE /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo...
[root@jsefler-6 ~]# 


VERIFIED: Paragraph character has not been mistakingly translated as a newline character in any locale.

Note You need to log in before you can comment on or make changes to this bug.